Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class CircleUndefinedState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
              com.bbn.openmap.omGraphics.editable.CircleUndefinedState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGUndefinedState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class CircleUndefinedState
extends GraphicUndefinedState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
`graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`CircleUndefinedState(EditableOMCircle eomc)`

Method Summary
`boolean` | `mousePressed(java.awt.event.MouseEvent e)` In this state, we need to draw a circle from scratch.

Methods inherited from class com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
`mouseMoved`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State
`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircleUndefinedState

    public CircleUndefinedState(EditableOMCircle eomc)

Method Detail

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent e)

  In this state, we need to draw a circle from scratch. So, we listen for a mouse down, and set both points there, and then set the mode to circle edit.

  Specified by:
    `mousePressed` in interface `MapMouseListener`
  Overrides:
    `mousePressed` in class `GraphicUndefinedState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details